# TODO:
# - use external rxp
#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	A Python wrapper for the RXP parser
Summary(pl.UTF-8):	Pythonowy interfejs do analizatora XML RXP
Name:		python3-pyRXP
Version:	3.0.1
Release:	1
License:	GPL v2
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pyRXP/
Source0:	https://files.pythonhosted.org/packages/source/p/pyRXP/pyRXP-%{version}.tar.gz
# Source0-md5:	3942f6c321f34d25b3d951b01b4e79d8
URL:		https://pypi.org/project/pyRXP/
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyRXP is a Python wrapper for RXP, a validating namespace-aware
XML parser in C.

%description -l pl.UTF-8
pyRXP to pythonowy interfejs do RXP - kontrolującego poprawność
analizatora XML-a z obsługą przestrzeni nazw, napisanego w C.

%package doc
Summary:	Documentation for Python pyRXP module
Summary(pl.UTF-8):	Dokumentacja do modułu Pythona pyRXP
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
This package contains documentation files for Python pyRXP module.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułu Pythona pyRXP.

%prep
%setup -q -n pyRXP-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(readlink -f build-3/lib.*) \
%{__python3} test/runAll.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{py3_sitedir}/pyRXPU.cpython-*.so
%{py3_sitedir}/pyRXP-%{version}-py*.egg-info

%files doc
%defattr(644,root,root,755)
%doc docs/*.{gif,html}
%changelog
* Sun Jan 22 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pyRXP.git;a=log;h=master

* Sun Jan 22 2023 Jakub Bogusz <qboosh@pld-linux.org> b41a06f
- fixed Name

* Sun Jan 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 2d97f47
- python-pyRXP.spec updated to 3.0.1 for python 3.6+

* Sun Jan 22 2023 Jakub Bogusz <qboosh@pld-linux.org> b0ae55d
- updated to 2.2.0 (last available version for python 2.7)

* Sun Jan 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 3cc0581
- updated to 1.16

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 24b2f63
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 50122ca
- automatic change: use py_build/py_install macros

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 53a2e4b
- %install should begin with rm -rf $RPM_BUILD_ROOT; unified %install a little

* Tue Nov 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 872be43
- BR: python 2.5 for .egg-info, rpm-pythonprov

* Tue Nov 06 2007 Patryk Zawadzki <patrys@room-303.com> cf4b230
- 1.12
- distributing stable versions as snapshots is a great idea

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a9ff2f6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 93d12eb
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 629eb0c
- mass commit: remove obsolete BR: rpm-pythonprov

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> afe52d7
- removed %%include /usr/lib/rpm/macros.python

* Mon Jun 14 2004 Marcin Gajda <m.gajda@functional-software.com> 283022a
- examples submodule
- doc submodule with external source (it is possible to omit external
  doc fetching, but another spec is required)
- rel. 2

* Mon Jun 14 2004 Marcin Gajda <m.gajda@functional-software.com> 7505617
- ReportLab hostes its open source projects on .org general domain
- cosmetics

* Sun Jun 06 2004 Michal Chruszcz <mchruszcz@gmail.com> ce4b675
- updated URL
- rel 1

* Wed May 26 2004 ankry <ankry@pld-linux.org> 5060191
- capitalization, tabs, other cosmetics

* Mon Feb 23 2004 ankry <ankry@pld-linux.org> 9b45666
- pl fixes, cosmetics

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 0c6c2d8
- mass commit: cosmetics (removed trailing white spaces)

* Wed Jun 25 2003 Jakub Bogusz <qboosh@pld-linux.org> 39bf1c1
- pl

